--[[ include used code ]]
--require "stgTools"
require "settings"

--[[ PUBLIC functions ]]
function tf_windDisplay_onRemove(playerIndex)
	local stGui = game.players[playerIndex].gui.top.superTopGui
	if stGui and stGui.stg_infoPanel and stGui.stg_infoPanel.windDisp then
		stGui.stg_infoPanel.windDisp.destroy()
	end
end

function tf_windDisplay_onCreate(playerIndex)
 	if not glob.cfg.enabled or not game.players[playerIndex].gui.top.superTopGui then return end
	--local myFlow = player.gui.top.superTopGui.stg_infoPanel.add({type= "flow", style= "tms_flow_compact", direction= "vertical" })
	local myFlow = game.players[playerIndex].gui.top.superTopGui.stg_infoPanel.add({type= "flow", name= "windDisp", style= "tms_flow_compact", direction= "vertical" })

	--[[ if not myFlow.tdlSpeed then
		local myElement = myFlow.add( { type= "label", name= "tdlSpeed", style= "tms_label" } )
	end--]]

	if not myFlow.tdlOrient then
		myElement = myFlow.add( { type= "label", name= "tdlOrient", style= "tms_label" } )
	end
end

wind_orientations = { "N", "NE", "E", "SE", "S", "SW", "W", "NW" }
function tf_windDisplay_onUpdate(playerIndex)
	local player = game.players[playerIndex]
 	if not glob.cfg.enabled or not player.gui.top.superTopGui or not player.gui.top.superTopGui.stg_infoPanel.windDisp then return end
	local myFlow = player.gui.top.superTopGui.stg_infoPanel.windDisp

	--[[$$ wind speed
	myFlow.tdlSpeed.caption = string.format(
			"wind speed: %g",
			game.windspeed * 100 )--]]

	--$$ wind orientation . . 0 and 1 is exactly north; 0.25 is exacylty east; 0.5 is exactly south etc clockWise
	local wo = math.floor( (math.floor(game.windorientation*16+1) %16) /2 )+1 --floor(wo*16+1)%16 is to set 1 as exactly-north, 0 is the border of north to north-west, and 2 is the border of north to north-east;-- Divide by 2 floor it and +1 for nameindex, lua starts arrays at 1
	myFlow.tdlOrient.caption = string.format(
			"wind: %s - %d°",
			wind_orientations[wo], game.windorientation*360 )
end

--[ event onguiclick ]
game.onevent(defines.events.onguiclick, 
function(event)
	--$$ Check for button clicks
	local player = game.players[event.playerindex]
	if event.element.name == "windSettings" then
		tf_windDisplay_settings(player, event.playerindex)
	end
end)

